Skip to main content
`Ctrl`+`K`

# DMLabelFilter

Remove all points outside of [`start`, `end`)

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelFilter(DMLabel label, PetscInt start, PetscInt end)

Not Collective

## Input Parameters

- label - the `DMLabel`

- start - the first point kept

- end - one more than the last point kept

## See Also

`DMLabel`, `DM`, `DMLabelCreate()`, `DMLabelGetValue()`, `DMLabelSetValue()`, `DMLabelClearValue()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

## Examples

src/dm/label/tutorials/ex1.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages